httpdstat.d(1m)

NAME
httpdstat.d - realtime httpd statistics. Uses DTrace.

SYNOPSIS
httpdstat.d [interval [count]]

DESCRIPTION
This prints connection statistics for "httpd" processes, such as those from an Apache web server. Since this uses DTrace, only users with root privileges can run this command.

EXAMPLES

Print statistics every second,
    # httpdstat.d

Print every 5 seconds, 6 times,
    # httpdstat.d 5 6

FIELDS

TIME
    time, string

NUM number of connections

GET number of GETs

POST
    number of POSTs

HEAD
    number of HEADs

TRACE
    number of TRACEs

NOTES
All statistics are printed as a value per interval. This version does not process subsequent operations on keepalives.

IDEA
Ryan Matteson (who first wrote a solution to this).

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
httpdstat.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)